repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.0.1
    hooks:
      - id: check-added-large-files
      - id: check-merge-conflict
      - id: end-of-file-fixer
      - id: fix-byte-order-marker
      - id: trailing-whitespace

  - repo: https://github.com/psf/black
    rev: 21.12b0
    hooks:
      - id: black

  - repo: https://github.com/PyCQA/isort
    rev: "5.10.1"
    hooks:
      - id: isort

  - repo: https://github.com/pre-commit/mirrors-prettier
    rev: "v2.5.0"
    hooks:
      - id: prettier

  - repo: https://github.com/IamTheFij/docker-pre-commit
    rev: "v2.0.1"
    hooks:
      - id: hadolint

  - repo: https://github.com/jazzband/pip-tools
    rev: "6.4.0"
    hooks:
      - id: pip-compile
        args: ["--no-emit-index-url", "--upgrade"]

  - repo: https://github.com/Yelp/detect-secrets
    rev: v1.1.0
    hooks:
      - id: detect-secrets
        args: ["--baseline", ".secrets.baseline"]
